.lm
.ifnot HLP.hl 1 MISC COMMANDS
.endif hlp
.lm +5
.if hlp.i-6;3 COMMENT
.endif hlp
.s.tp6.i-5;  _.COMMENT text
.i-5;_.; text
.i-5;_.! text
.p.x COMMENT 
causes the line to be ignored. The text is not printed in the output.
.ifnot small
Comments may contain useful information which you need when re-editing
the file.  For example you may wish to add comments to a string
of _.DEFINE ESCAPE and _.DEFINE SUBSTITUTE to remind you what each
escape sequence and substitution does.
.endif small
.if hlp.i-6;3 NO__SPACE
.endif hlp
.s.tt5.i-5; _.NO SPACE
.i-5; _.NSP
.s.x NO>SPACE
This command may be used to join 2 filled lines without the normal space
in the output between them.  If _.FILL is engaged and you issue _.NO SPACE
after a line, the end of that line will not automatically generate a space
in the output _.DOC file.  
.ifnot small
The end of a line may still cause a break.
This same result may be achieved by ending the previous line with a break 
flag.
.s;For example: 
.i5;Dis
.i5;_.NO SPACE;combobulate
.br;Will be printed as:
.i5;Discombobulate
.endif small
.if hlp;.i-6;3 REQUIRE
.endif hlp
.s.tp5.I -5; _.REQUIRE 'filespec'
.i -5; _.REQ 'filespec'
.p.x REQUIRE
takes the input text from the specified file.  The _.REQUIRE command may be
imbedded in files which have been required.  
.ifnot small
The required files may be nested
until 
.if RT
7 input files are open at once. An attempt to require a eighth level of
.else rt
5 input files are open at once. An attempt to require a sixth level of
.endif rt
input will cause an error. The default filetype is _.RNO. The filename may be
enclosed in either single (') or double (") quotes. If any commands follow
this command on the same line, they will be ignored. 
.endif small
.i5;DEFAULT: file type=.RNO
.ifnot small
.i5;(DSR allows 10 levels of nesting)
.IF HLP
.if RSX.i5;ADDITIONAL HELP AVAILABLE: exa exb exc BINARY 
.j
.endif RSX
.i-6;4 exa
.endif hlp
.s
This command makes it easy for you to break up your text into reasonable
chunks.  For example you may wish to put each section in a separate file
and then have a master file which requires each section in order.  If
you need to rearrange the order of the sections you only need to change
the _.REQUIRE statements in the master file.  You also should put the
overall formatting commands such as _.PAGE SIZE, _.DISPLAY, _.HEADER _...
into a separate file which may be required at the beginning of each section.
.p
You may also wish to build up files of commonly used substitutions
and escape sequences.  These can then be easily required at the beginning
of any file that needs them.
.if hlp.i-6;4 exb
.endif hlp
.p
Another example is generation of a series of letters with the same
body but different inside addresses and salutations.  You would
make a master file containing the inside addresses and salutations.
After each salutation you might put:
.i5; _.REQUIRE "LETTER"
.br; You would then create a file LETTER.RNO with the actual text of the
letter. By running the master file through RNO you would get a string of
personalized letters.  Later on you may change the contents of LETTER.RNO to
get another set of personalized letters for mass mailings. 
.if hlp.i-6;4 exc
.endif hlp
.p
A third example is getting input from a terminal.
.if rt
.i5;_.REQUIRE "TT:"
.else rt
.i5;_.REQUIRE "TI:"
.endif rt
.br;This could be very useful when combined with the _.TYPE command.
The _.TYPE could prompt the user, then RNO could accept input from the 
terminal. The input must be terminated by "cntrl" Z.
.endif small
.ifnot RT
.ifnot small
.if hlp.i-6;4 BINARY
.endif hlp
.endif small
.s.tp5.i-5;_.REQUIRE BINARY [spacing] 'file-specification'
.i-5;_.REQ BIN 'file-spec'
.p.x REQUIRE>BINARY
This form of the require command first causes a break. Next a test page is
executed with the specified spacing. Finally the entire contents of the
required file is included in the .DOC output. The output is identical to the
input and no interpretation of the input is performed.  
.ifnot small
This is useful in
adding diagrams, and other graphical input into the text file. The spacing
essentially tells RNO how much space to allott for the binary input file. This
command is illegal during a note, footnote, or text section. It is your
responsibility to make sure that enough space is available on the current page
for the output by specifying the correct spacing. If the input contains more
than a fraction of a page, then you may need to add to the current page number
by  _.NUMBER PAGE +n. 
.endif small
.endif RT
.lm
.if HLP .i-1;3 SAVE
.else HLP
.hl 1 SAVE/RESTORE Commands
.endif hlp
.br
These commands save the current status for later.  The status is restored
automatically or by a RESTORE command. 
.ifnot small
There are some similar commands in DSR, but as of this writing they do not
do the same thing.
.if hlp
.IF RSX;.BR;FURTHER HELP: list APPENDIX CHAPTER HEADERS LEVEL STATUS
.ENDIF RSX
.i-1;4 list
.endif hlp
.s.c;^&List of commands saved as part of the status:\&
.nj.s.TAB PROPORTIONAL 4
_.AUTOBREAK	_.AUTOHYPHENATE	_.AUTOPARAGRAPH	_.LOWERCASE	
_.FILL	_.JUSTIFY	_.PERIOD	_.UPPERCASE
.br;_.ENABLE/DISABLE
.lm+5
.TAB PROPORTIONAL 4
.f
	BAR	CONTINUE	ESCAPE	EQUATION	FLAGS	HYPHENATION
	INDEXING	OVERSTRIKING	SUBSTITUTION	TABS	UNDERLINING
.j
.p;The options specified in the _.PERIOD and _.AUTOHYPHENATE commands are not
saved or restored.
.if hlp.i-6;4 APPENDIX
.endif HLP
.endif small
.lm .lm +5
.s.tt5.i-5;_.SAVE APPENDIX
.s.x SAVE>APPENDIX
This saves the status to be restored by an _.APPENDIX command.
.ifnot small
.if hlp.i-6;4 CHAPTER
.endif hlp
.endif small
.s.tt5.i-5;_.SAVE CHAPTER
.s.x SAVE>CHAPTER
This saves the status to be restored by a _.CHAPTER command.
.ifnot small
.if hlp.i-6;4 HEADERS
.endif hlp
.endif small
.s.tt5.i-5;_.SAVE HEADERS
.s.x SAVE>HEADERS
This saves the current status which is restored whenever a page header or
page number are printed.  
.ifnot small
Normally the page header is produced using the status at the last _.TITLE,
_.SUBTITLE or any command which automatically generates titles and subtitles.
This is useful in preventing or allowing features as underlining to appear in
the page header. 
In particular the _.FILL mode is saved and applies to the title, subtitle, and
page number.
.if hlp.i-6;4 LEVELS
.endif hlp
.endif small
.s.tt5.i-5;_.SAVE LEVELS
.s.x SAVE>LEVELS
This saves the status to be restored by a _.HEADER LEVEL command.
.ifnot small
The status is only restored if the header level number is printed.
Non numbered levels do not restore status.
For example you can restore _.FILL, _.JUSTIFY etc for each sections of
the document.
.if hlp.i-6;4 STATUS
.endif hlp
.endif small
.s.tt5.i-5;_.SAVE STATUS
.s.x SAVE>STATUS
This saves the status to be restored by the _.RESTORE STATUS command.
.s.tt5.i-5;_.RESTORE STATUS
.s.x RESTORE STATUS
This command restores the status saved by the last SAVE STATUS command.
.if hlp.i-6;3 TRACE
.endif hlp
.s.tp5.i-5;_.TRACE
.p.x TRACE
This generates an error message to aid in debugging your .RNO file.
.ifnot small
This command is not available in DSR.
The output informs you if either a footnote, note, or text section is being
formatted, if fill, justify, or lock modes are on.
The current flags characters except for special flags are listed.
In addition the current margins and spacing are printed.
The page size, and spacing are specified in half lines.
.endif small
.if hlp.i-6;3 TYPE
.endif hlp
.s.tp6.i-5;_.TYPE text
.p.x TYPE
This command causes the "text" to be typed on your terminal.  
.ifnot small
The text may
not be longer than 72 characters. This is useful in tracing the progress of
RNO or it can be used as a prompt before 
.ifnot RT
_.REQUIRE#"TI:" for user input. 
.else rt
_.REQUIRE#"TT:" for user input. 
.endif rt
.i5;(Not available in DSR)
.endif small
.lm.rm
